#include <bits/stdc++.h>

#define int long long 

#define pb push_back
 
#define F first
 
#define S second
 
using namespace std;
 
const int N = 2e5 + 10;

const int mod = 1e9 + 7;

const int inf = 1e9;

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

 	int n,x;
 	cin >> n >> x;
 	vector<int>a(n + 1);
 	for(int i = 1; i <= n; i++) cin >> a[i];
 	int res = -1;
 	for(int i = 1; i <= n; i++) {
 		if(a[i] <= x && res == -1) res = i;
 	}
 	cout << res;
    return 0;
}